# Component: Order Confirmation

| ⚠️ This is a legacy component. Go to [How to configure the Order Complete page](https://docs.limio.com/product/checkout/how-to-configure-the-order-complete-page) to learn about Limio's latest components. |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

**Purpose**: Display a confirmation page after placing an order

The majority of the information presented within the order confirmation component originates from the checkout object, established during the checkout process. Here is a breakdown:

| Field                   | Description                                                                                                                                                       | Notes                                                                                          |
| ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| Description             | Pertains to the offer group.                                                                                                                                      |                                                                                                |
| Price                   | Represents the total cost of the items within the order.                                                                                                          | If the purchase is a gift redemption then the price will be hidden                             |
| Term                    | Corresponds to the offer's duration.                                                                                                                              | If the price in the offer does not have repeat interval populated then the term will be hidden |
| Start Date/Gifting Date | If it is a gift purchase return the recipient's gift start date otherwise we obtain the start date from the 'termStartDate' attribute within the checkout object. | This will show if the order is a gift, a gift redemption or a renewal                          |
| End Date                | Derived from the 'termEndDate' attribute within the checkout object or derived from the next schedule                                                             | This will show if the order is a gift or renewal and has an end date                           |
| Payment Date            | Message                                                                                                                                                           | This will show if the order is a **NOT** gift, a gift redemption or a renewal                  |
| Price/Renewal Price     | Extracted from the schedule.                                                                                                                                      |                                                                                                |
| Confirmation Email:     | Refers to the email address of the customer as provided during the checkout.                                                                                      | If hideEmail field in the order if false then the customers email will show in the table       |

## Props

| Prop Name                 | Label                           | Type     | Default Value                                                                                                            | Description                                                                                                                          |
| ------------------------- | ------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------ |
| title                     | Title                           | string   | Order complete                                                                                                           | Title text                                                                                                                           |
| subtitle                  | Subtitle                        | string   |                                                                                                                          | Subtitle text                                                                                                                        |
| messageTitle              | Message Title                   | richtext | Thank you for subscribing                                                                                                | Message title text                                                                                                                   |
| giftMessageTitle          | Gift Message Title              | richtext | Thank you for purchasing a gift!                                                                                         | Gift Message Title text                                                                                                              |
| renewalMessageTitle       | Renewal Message Title           | richtext | You've renewed your subscription                                                                                         | Renewal Message Title text                                                                                                           |
| message                   | Message                         | string   | A confirmation email has been sent to {{customerDetails.email}}.                                                         | Message text                                                                                                                         |
| giftMessage               | Gift Message                    | string   | Your recipient {{recipientEmail}} will receive their gift on {{giftDate}} with instructions on how to redeem their gift. | Gift message text                                                                                                                    |
| renewalMessage            | Renewal Message                 | string   | You can now access our website and log in to our app.                                                                    | Renewal message text                                                                                                                 |
| messageCTA                | Message CTA Label               | string   | Go back to article                                                                                                       | Button label                                                                                                                         |
| CTADelayTime              | CTA button appearance delay (s) | number   | 0                                                                                                                        | CTA button appearance delay (s)                                                                                                      |
| messageUrl                | Message CTA URL                 | string   | <https://www.limio.com>                                                                                                  | Message CTA URL                                                                                                                      |
| termsUrl                  | Terms of Cancellation URL       | string   | <https://www.limio.com>                                                                                                  | Terms of Cancellation URL                                                                                                            |
| taxMessage                | Terms of Cancellation URL       | string   | plus any sales tax applicable                                                                                            | Terms of Cancellation URL                                                                                                            |
| squareTheme               | Square Theme?                   | boolean  | false                                                                                                                    | If true a appearance of the component will differ                                                                                    |
| showOfferImage            | Show offer image?               | boolean  | false                                                                                                                    | If true the offer image will display                                                                                                 |
| showReference             | Show order reference?           | boolean  | true                                                                                                                     | If true the referenceMessage will display                                                                                            |
| referenceMessage          | Reference message               | string   | Order Reference - {{order\_reference}}                                                                                   | If showReference is true this is the copy that will be display. This value supports both {{order\_reference}} and {{sub\_reference}} |
| showMessage               | Show message                    | boolean  | true                                                                                                                     | If true the message will show                                                                                                        |
| showCustomerDetails       | Show customer details?          | boolean  | true                                                                                                                     | If true the customer details will show                                                                                               |
| additionalButtons         | Additional buttons              | list     | "label": "Learn More", "url": "<https://limio.com>"                                                                      | Fields: label, url, invert button colors                                                                                             |
| authenticatedRenewalCTA   | Authenticated renewal CTA       | string   | Start reading                                                                                                            |                                                                                                                                      |
| authenticatedRenewalURL   | Authenticated renewal URL       | string   |                                                                                                                          |                                                                                                                                      |
| unAuthenticatedRenewalCTA | Unauthenticated renewal CTA     | string   | Enter password                                                                                                           |                                                                                                                                      |
| unAuthenticatedRenewalURL | Unauthenticated renewal URL     | string   |                                                                                                                          |                                                                                                                                      |
| imageUrl                  | Order confirmation image url    | string   |                                                                                                                          | Url for image                                                                                                                        |

Not clear on what fields like this {{recipientEmail}} mean? Learn more about [Limio string variables here](/components/component-library/list-of-variables-that-can-be-used-in-limio-components.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-order-confirmation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
